<?php
$options = get_option('gridbox');	

/*------------[ Meta ]-------------*/
if ( ! function_exists( 'mts_meta' ) ) {
	function mts_meta() { 
	global $options
?>
<?php if ($options['mts_favicon'] != '') { ?>
<link rel="icon" href="<?php echo $options['mts_favicon']; ?>" type="image/x-icon" />
<?php } ?>
<!--iOS/android/handheld specific -->	
<link rel="apple-touch-icon" href="apple-touch-icon.png">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<?php }
}

/*------------[ Head ]-------------*/
if ( ! function_exists( 'mts_head' ) ) {
	function mts_head() { 
	global $options
?>
<!--start fonts-->
<?php if ($options['mts_title_font'] == 'Arial') { ?>
<?php } else { ?>
	<?php if ($options['mts_title_font'] != '' || $options['mts_google_title_font'] != '') { ?>
		<link href="http://fonts.googleapis.com/css?family=<?php if ($options['mts_google_title_font'] != '') { ?><?php echo $options['mts_google_title_font']; ?><?php } else { ?><?php echo $options['mts_title_font']; ?><?php } ?>:400,700" rel="stylesheet" type="text/css">
		<style type="text/css">
			.title, h1,h2,h3,h4,h5,h6 { font-family: '<?php if ($options['mts_google_title_font'] != '') { ?><?php echo $options['mts_google_title_font']; ?><?php } else { ?><?php echo $options['mts_title_font']; ?><?php } ?>', sans-serif;}
		</style>
	<?php } ?>
<?php } ?>
<?php if ($options['mts_content_font'] == 'Arial') { ?>
<?php } else { ?>
	<?php if ($options['mts_content_font'] != '' || $options['mts_google_content_font'] != '') { ?>
		<link href="http://fonts.googleapis.com/css?family=<?php if ($options['mts_google_content_font'] != '') { ?><?php echo $options['mts_google_content_font']; ?><?php } else { ?><?php echo $options['mts_content_font']; ?><?php } ?>:400,400italic,700,700italic" rel="stylesheet" type="text/css">
		<style type="text/css">
			body {font-family: '<?php if ($options['mts_google_content_font'] != '') { ?><?php echo $options['mts_google_content_font']; ?><?php } else { ?><?php echo $options['mts_content_font']; ?><?php } ?>', sans-serif;}
		</style>
	<?php } ?>
<?php } ?>
<!--end fonts-->
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/customscript.js" type="text/javascript"></script>
<!--start slider-->
<?php if($options['mts_featured_slider'] == '1') { ?>
	<?php if( is_home() ) { ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/flexslider.css" type="text/css">
		<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.flexslider-min.js"></script>
		<script type="text/javascript">
			$(window).load(function() {
			$('.flexslider').flexslider({
			  animation: "fade",
			  pauseOnHover: true,
			  controlsContainer: ".flex-container"
			});
			$('.readMore a').hover(function(){
			$(this).text('READ MORE +');
			},function(){
			$(this).text('READ MORE');	
			})
			});
		</script>
	<?php } ?>
<?php } ?>
<!--end slider-->
<style type="text/css">
	<?php if ($options['mts_logo'] != '') { ?>
		#header h1, #header h2 {text-indent: -999em; min-width:200px; }
		#header h1 a, #header h2 a {background: url(<?php echo $options['mts_logo']; ?>) no-repeat; min-width: 200px; display: block; min-height: 80px; line-height: 80px; }
	<?php } ?>
	<?php if($options['mts_bg_color'] != '') { ?>
		body {background-color:<?php echo $options['mts_bg_color']; ?>;}
	<?php } ?>
	<?php if ($options['mts_bg_pattern_upload'] != '') { ?>
		body {background-image: url(<?php echo $options['mts_bg_pattern_upload']; ?>); background-position: top center; background-attachment: fixed; }
	<?php } else { ?>
		<?php if($options['mts_bg_pattern'] != '') { ?>
			body {background-image:url(<?php echo get_template_directory_uri(); ?>/images/<?php echo $options['mts_bg_pattern']; ?>.png);}
		<?php } ?>
	<?php } ?>
	<?php if ($options['mts_color_scheme'] != '') { ?>
		.pagination a:hover, #commentform input#submit, .nav-previous a, .nav-next a, .mts-subscribe input[type="submit"], .currenttext, .form-wrapper button, .sliderCaptionTop .sliderCat {background-color:<?php echo $options['mts_color_scheme']; ?>; }
		.secondary-navigation, #header, .post.excerpt, #sidebars .widget, .footer-widgets, .tagcloud a, .related-posts, .postauthor, #commentsAdd, #tabber, .pagination, .single_post, .single_page, #comments, .ss-full-width {border-color:<?php echo $options['mts_color_scheme']; ?>; }
		#copyright-note a, .footer-widgets h3, #navigation ul .current-menu-item a, .current_page_item a, .single_post a, a:hover, #logo a, .textwidget a, #commentform a, .copyrights a:hover, a, #navigation ul ul, .reply a, .popular-posts .plink:hover, #tabber .inside li div.info .entry-title a:hover, .excerpt .title a:hover, .sidebar.c-4-12 a:hover, footer .widget li a:hover {color:<?php echo $options['mts_color_scheme']; ?>; }
		.arrow-down{border-top-color:<?php echo $options['mts_color_scheme']; ?>;}
		.arrow-up, .readMore a:hover{border-bottom-color:<?php echo $options['mts_color_scheme']; ?>;}
		.arrow-left{border-right-color:<?php echo $options['mts_color_scheme']; ?>;}
	<?php } ?>
	<?php if($options['mts_floating_social'] == '1') { ?>
		.shareit { top: 280px; left: auto; z-index: 0; margin: 0 0 0 -126px; width: 90px; position: fixed; overflow: hidden; padding: 5px; background: #fff; -webkit-box-shadow: 1px 2px 3px rgba(50, 50, 50, 0.35);
		-moz-box-shadow: 1px 2px 3px rgba(50, 50, 50, 0.35);
		box-shadow: 1px 2px 3px rgba(50, 50, 50, 0.35);}
		.share-item {margin: 2px;}
	<?php } ?>
	<?php if ($options['mts_layout'] == 'sclayout') { ?>
		.single_post{padding:0 0 3%;}
		.article { float: right;}
		.sidebar.c-4-12 { float: left; }
		<?php if($options['mts_floating_social'] == '1') { ?>
			.shareit { margin: 0 625px 0;}
		<?php } ?>
	<?php } ?>
	<?php if($options['mts_author_comment'] == '1') { ?>
		.bypostauthor {border: 1px solid #EEE!important; padding: 3%!important; background: #FAFAFA; width: 94%!important;}
		.bypostauthor .reply {border-bottom: 0; }
	<?php } ?>
	<?php echo $options['mts_custom_css']; ?>
</style>
<!--start custom CSS-->
<?php echo $options['mts_header_code']; ?>
<!--end custom CSS-->
<?php }
}

/*------------[ footer ]-------------*/
if ( ! function_exists( 'mts_footer' ) ) {
	function mts_footer() { 
	global $options
?>
<!--start lightbox-->
<?php if($options['mts_lightbox'] == '1') { ?>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.prettyPhoto.js"></script>
	<script type="text/javascript">
		jQuery(document).ready(function($) {
		$("a[href$='.jpg'], a[href$='.jpeg'], a[href$='.gif'], a[href$='.png']").prettyPhoto({
		slideshow: 5000,
		autoplay_slideshow: false,
		animationSpeed: 'normal',
		padding: 40,
		opacity: 0.35,
		showTitle: true,
		social_tools: false
		});
		})
	</script>
<?php } ?>
<!--end lightbox-->
<!--Twitter Button Script------>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
<!--Facebook Like Button Script------>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=136911316406581";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!--start footer code-->
<?php if ($options['mts_analytics_code'] != '') { ?>
	<?php echo $options['mts_analytics_code']; ?>
<?php } ?>
<!--end footer code-->
<?php }
}

/*------------[ Copyrights ]-------------*/
if ( ! function_exists( 'mts_copyrights_credit' ) ) {
	function mts_copyrights_credit() { 
	global $options
?>
<!--start copyrights-->
<div class="row" id="copyright-note">
	<span>
		<?php echo $options['mts_copyrights']; ?>
	</span>
	<div class="top"><a href="#top" class="toplink">Back to Top</a></div>
</div>
<!--end copyrights-->
<?php }
}

?>